import React from 'react';
import styles from './SubMenu.module.scss';
import PropTypes from "prop-types";

const handleCrossClick = (e, callback) => {
  e.stopPropagation();
  callback();
};

const SubMenuListItem = ({item, isSelected, handleClick, parent, reset}) => {
  const crossIcon = <svg height="20" width="20" viewBox="0 0 20 20" aria-hidden="true" focusable="false"
                         className={styles.cross} onClick={(e) => handleCrossClick(e, reset)}>
    <path
      d="M14.348 14.849c-0.469 0.469-1.229 0.469-1.697 0l-2.651-3.030-2.651 3.029c-0.469 0.469-1.229 0.469-1.697 0-0.469-0.469-0.469-1.229 0-1.697l2.758-3.15-2.759-3.152c-0.469-0.469-0.469-1.228 0-1.697s1.228-0.469 1.697 0l2.652 3.031 2.651-3.031c0.469-0.469 1.228-0.469 1.697 0s0.469 1.229 0 1.697l-2.758 3.152 2.758 3.15c0.469 0.469 0.469 1.229 0 1.698z"/>
                    </svg>;
  return (<li
    className={isSelected ? 'sxSelected ' + styles.sxSubListItemSelected : styles.sxSubListItem}
    onClick={() => handleClick(item, parent)}>
    <span className={styles.sxSubListItemLabel}>{item.label}{isSelected && crossIcon}</span>
          </li>);
};


SubMenuListItem.propTypes = {
  item: PropTypes.object,
  isSelected: PropTypes.bool,
  handleClick: PropTypes.func,
  parent: PropTypes.object,
  reset: PropTypes.func
};

export default SubMenuListItem;